## xflr5 6.04.dfsg

=== debian/changelog ===
xflr5 (6.04.dfsg-2) unstable; urgency=low

  * debian/rules
   - removed install command which is cause of FTBFS (closes: #630545)
   - changed qmake-qt4 command to dh_auto_build command
   - added exclude option to dh_compress
  * debian/xflr5-doc.docs
   - added Guidelines_v604.pdf
  * debian/xflr5-doc.links
   - added Guidelines.pdf
  * debian/control
   - changed dependencies

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Sun, 26 Jun 2011 00:22:03 +0900

xflr5 (6.04.dfsg-1) unstable; urgency=low

  * doc/Guidelines.pdf
   - removed from source file because it contains non-free fonts
     (closes: #628218)
  * debian/Guidelines_v604.pdf
   - added rebuilt pdf which doesn't contains non-free fonts
  * debian/Guidelines_v604.odt
   - added source of Guidelines_v604.pdf
  * debian/rules
   - added install command for Guidelines_v604.pdf
  * debian/source/include-binaries
   - added debian/Guidelines_v604.pdf, debian/Guidelines_v604.odt
  * debian/control
   - removed build-depends: libc6, libgcc1, libstdc++6
   - added xflr5-doc package
  * debian/xflr5.doc
   - added ReadMe.txt

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Tue, 14 Jun 2011 22:46:39 +0900

xflr5 (6.04-1) unstable; urgency=low

  * New upstream release
   - added a settings save at each project save
   - added and option to view forces on panels as coloured arrows
   - fixed the incorrect setting of AVL-type controls for flaps in T7 analysis
   - added the missing write operation in the project file of the control
     variable for wing operating points
   - modified the setting of boundary conditions in T7 analysis with activated
     controls - impact on balanced aoa
   - modified the wing construction process to allow for a gap in the middle
     of the wing
   - corrected the bug which caused the disapperance of the left stability
     toolbar when switching to 3D view
   - corrected the bug which prevented from changing the default number of
     panels in naca foil generation
   - continued the code cleaning process
  * debian/control
   - changed Standards-Version to 3.9.2
  * debian/copyright
   - fixed maintainer's name.
   - changed format to rev 174
  * debian/install
   - added xflr5.png
   - removed sourceless documentation with non-free fonts embedded:
     Guidelines.pdf
  * debian/rules
   - removed install command

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Tue, 24 May 2011 22:47:14 +0900

xflr5 (6.03-7) unstable; urgency=low

  * debian/rules debian/install
   - added install command to debian/rules to change
     permission of xflr5.png
   - removed xflr5.png from debian/install
  * debian/manpages debian/xflr5.sgml
   - created man page
  * debian/control
   - created man page
  * this package closes: #619456

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Sat, 02 Apr 2011 23:52:33 +0900

xflr5 (6.03-6) unstable; urgency=low

  * debian/control
   - changed description to appropriate format
  * debian/rules
   - removed make clean
   - removed variables

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Sun, 27 Mar 2011 08:57:10 +0900

xflr5 (6.03-5) unstable; urgency=low

  * debian/control
   - changed section: x11 -> science
   - changed build depends
     removed
     - libglu1-mesa-dev
  * debian/install
   - move install commands from debian/rules
  * debian/dirs
   - remove /usr/sbin directory

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Sat, 26 Mar 2011 12:32:52 +0900

xflr5 (6.03-4) unstable; urgency=low

  * debian/control
   - put translation files into xflr5 package
  * debian/rules
   - changed to debhelper 7 format
  * debian/copyright
   - changed to DEP5 format
  * debian/README.Debian
   - removed

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Thu, 25 Mar 2011 13:46:59 +0900

xflr5 (6.03-3) unstable; urgency=low

  * debian/control
   - changed build depends
     added
     + debhelper (>= 7.0.50~)
     removed
     - debhelper (>= 5)

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Thu, 24 Mar 2011 15:15:01 +0900

xflr5 (6.03-2) unstable; urgency=low

  * Added debian/source/format
  * debian/control
   - changed build depends
     added
     + libqt4-dev, libgl1-mesa-dev, libglu1-mesa-dev
     + libqt4-opengl-dev (>= 4.6.0), translate-toolkit
     removed
     - libgl1-mesa, libgl1, libgl1-mesa-glx, libgl1, libglu1-mesa
     - libglu1, libqt4-opengl (>= 4.6.0), libqtcore4 (>= 4.6.0)
     - libqtgui4 (>= 4.6.0)
   - changed Standards-Version (3.7.2 -> 3.9.1)

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Thu, 24 Mar 2011 13:05:03 +0900

xflr5 (6.03-1) unstable; urgency=low

  * First release for Debian Repository

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Thu, 24 Mar 2011 09:52:19 +0900

xflr5 (6.01-1-ubuntu1) maverick; urgency=low

  * First release for Ubuntu 10.10
  * Fixed debian files. Somebody had magically renamed them to .txt files! 
    Renamed all the files in debian folder and fixed errors in them.
  * Fixed xflr5.pro. Install target was missing and the package was not installable. 
  * Package now builds and installs on Ubuntu 10.10
  * Verified that binary can be found from /usr/bin after installation.

 -- Karoliina Salminen <karoliina.t.salminen@gmail.com>  Tue, 26 Oct 2010 17:22:39 +0300

qflr5 (0.03b-ubuntu2) jaunty; urgency=low

  * Andre Deperrois fixed a bug which prevented polars from being stored
    during a foil batch analysis

 -- Karoliina Salminen <karoliina.t.salminen@gmail.com>  Thu, 29 Oct 2009 11:44:15 +0200

qflr5 (0.03b-ubuntu1) jaunty; urgency=low

  [Karoliina Salminen]
  * Built 0.03 for Ubuntu Jaunty
  [Andre Deperrois]
  * Added a form to evaluate the CoG and inertia of wings and bodies
  * Redefined the pitchnig moment and yawing moments for clarity - details in the guidelines § 5.16
  * Added an option to store oppoints in foil batch analysis 
  * Marked more sentences for translation
  * Corrected a crash bug which occurred when trying to run a biplane analysis without an elevator
  * Corrected Tail volume calculation - was missing a PI/180 coefficient ; no impact on results


=== debian/rules ===
#!/usr/bin/make -f

%:
	dh  $@

override_dh_auto_build:
	dh_auto_build
	lrelease -nounfinished $(CURDIR)/translations/xflr5v6_fr.ts -qm $(CURDIR)/translations/xflr5v6_fr.qm
	lrelease -nounfinished $(CURDIR)/translations/xflr5v6_de.ts -qm $(CURDIR)/translations/xflr5v6_de.qm
	docbook-to-man debian/xflr5.sgml > debian/xflr5.1

override_dh_compress:
	dh_compress -X.pdf

## xflr5 6.09.06

=== doc/latex/Makefile ===
LATEX=latex
PDFLATEX=pdflatex

TARGET=guidelines_en

default : $(TARGET).pdf

%.pdf : %.tex
	$(PDFLATEX) '\nonstopmode\input{$<}' 1> /dev/null 
	$(PDFLATEX) '\nonstopmode\input{$<}' 1> /dev/null
	$(PDFLATEX) '\nonstopmode\input{$<}' 1> /dev/null

clean :
	-rm -f *.aux *.toc *.log *.out *.pdf *.dvi *.bbl *.blg *.haux *.htoc

## xflr5 6.05

=== debian/changelog ===
xflr5 (6.05-1) unstable; urgency=low

  * For Type 7 polars, listed the control value instead of the aoa in
    the top drop down box
  * Added a calculation form to determine Re.sqrt(Cl) for foil Type 2
    polars
  * Added the Japanese translation to the repository
  * Minor corrections and improvements
  * debian/Guidelines_v604.odt
   - removed from source because it is existed in doc directory
  * debian/source/include-binaries
   - removed Guidelines_v604.odt
  * debian/rules
   - added lrelease command for Japanese translation
  * debian/xflr5.install
   - added xflr5v6_ja.qm

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Sun, 31 Jul 2011 01:31:08 +0900

=== debian/control ===
Source: xflr5
Section: science
Priority: extra
Maintainer: Koichi Akabe <vbkaisetsu@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), docbook-to-man, libqt4-dev, libgl1-mesa-dev, libqt4-opengl-dev (>= 4.6.0), translate-toolkit
Standards-Version: 3.9.2
Homepage: http://xflr5.sourceforge.net/xflr5.htm

Package: xflr5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: xflr5-doc
Description: analysis tool for airfoils
 XFLR5 is an analysis tool for airfoils, wings and planes operating at low
 Reynolds Numbers.
 It includes
  1. XFoil's Direct and Inverse analysis capabilities
  2. Wing design analysis based on the Lifiting Line Theory and the Vortex
    Lattice Method

Package: xflr5-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: xflr5
Description: xflr5 documentation
 This package provides the documentation for XFLR5.

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 	dh_auto_build
 	lrelease -nounfinished $(CURDIR)/translations/xflr5v6_fr.ts -qm $(CURDIR)/translations/xflr5v6_fr.qm
 	lrelease -nounfinished $(CURDIR)/translations/xflr5v6_de.ts -qm $(CURDIR)/translations/xflr5v6_de.qm
+	lrelease -nounfinished $(CURDIR)/translations/xflr5v6_ja.ts -qm $(CURDIR)/translations/xflr5v6_ja.qm
 	docbook-to-man debian/xflr5.sgml > debian/xflr5.1
 
 override_dh_compress:

## xflr5 6.07+svn513

=== debian/changelog ===
xflr5 (6.07+svn513-1) unstable; urgency=low

  * New upstream release
  * debian/rules
   - add get-orig-source target
  * debian/copyright
   - update format uri
  * debian/control
   - update Standards-Version to 3.9.3
   - up debhelper version to 9.20120417 to add hardening flags
     for qmake
   - enable DM-Upload
  * debian/compat
   - up to 9 to add hardening flags
  * debian/source/lintian-overrides
   - add debian-watch-file-is-missing because tarball is not privided

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Fri, 29 Jun 2012 17:22:31 +0900

xflr5 (6.06-1) unstable; urgency=low

  * changed and hopefully improved the algorithm which intersects
    wing surfaces and body
  * code cleaning
  * minor bug corrections and enhancements
  * reduced the maximum size of sections, masses, and chorwise
    panels on a wing to reduce global memory usage
  * debian/compat
   - changed compatibility level from 7 to 8
  * debian/control
   - changed dependency: debhelper (>= 7.0.50~) to debhelper (>= 8.0.0)
   - changed homepage (it was moved)
   - changed long description of xflr5-doc package (added description of xflr5)
  * debian/copyright
   - changed source (it was moved)
   - changed Format address (it was moved)
  * debian/patches/01_set_targetpath.patch
   - added to set target.path on xflr5.pro
  * debian/xflr5-doc.doc-base
   - added to define the documentation

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Fri, 3 Feb 2012 17:37:53 +0900

=== debian/control ===
Source: xflr5
Section: science
Priority: extra
Maintainer: Koichi Akabe <vbkaisetsu@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 9.20120417), docbook-to-man, libqt4-dev, libgl1-mesa-dev, libqt4-opengl-dev (>= 4.6.0), translate-toolkit
Standards-Version: 3.9.3
Homepage: http://www.xflr5.com/xflr5.htm

Package: xflr5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: xflr5-doc
Description: analysis tool for airfoils
 XFLR5 is an analysis tool for airfoils, wings and planes operating at low
 Reynolds Numbers.
 It includes:
 .
  1. XFoil's Direct and Inverse analysis capabilities
  2. Wing design analysis based on the Lifiting Line Theory and the Vortex
    Lattice Method

Package: xflr5-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: xflr5
Description: xflr5 documentation
 XFLR5 is an analysis tool for airfoils, wings and planes operating at low
 Reynolds Numbers.
 .
 This package provides the documentation for XFLR5.

=== debian/rules ===
--- 
+++ 
@@ -10,5 +10,26 @@
 	lrelease -nounfinished $(CURDIR)/translations/xflr5v6_ja.ts -qm $(CURDIR)/translations/xflr5v6_ja.qm
 	docbook-to-man debian/xflr5.sgml > debian/xflr5.1
 
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -f `find $(CURDIR)/translations -name *.qm` $(CURDIR)/debian/xflr5.1
+
 override_dh_compress:
 	dh_compress -X.pdf
+
+# Adapted from http://wiki.debian.org/SandroTosi/Svn_get-orig-source
+PACKAGE = xflr5
+SRC_VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(\([0-9]\+\):\)\?\(.*\)-.*/\3/p')
+SRC_RELEASE := $(shell echo $(SRC_VERSION) | awk -F"+" '{ print $$1 }' )
+SVN_REVISION := $(shell echo $(SRC_VERSION) | awk -F"+" '{ print $$2 }' | sed 's/svn//' )
+TARBALL = $(PACKAGE)_$(SRC_VERSION).orig.tar.bz2
+.PHONY: get-orig-source
+get-orig-source:
+	rm -rf get-orig-source $(TARBALL)
+	mkdir get-orig-source
+	svn export -r $(SVN_REVISION) "https://xflr5.svn.sourceforge.net/svnroot/xflr5/branches/xflr5-$(SRC_RELEASE)" \
+	get-orig-source/$(PACKAGE)-$(SRC_VERSION).orig
+	find get-orig-source/$(PACKAGE)-$(SRC_VERSION).orig -type f -exec chmod -x {} +
+	tar cjf $(TARBALL) -C get-orig-source $(PACKAGE)-$(SRC_VERSION).orig
+	rm -rf get-orig-source
+	echo "  "$(TARBALL)" created; move it to the right destination to build the package"

## xflr5 6.09.06

=== debian/changelog ===
xflr5 (6.09.06-2build2) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:52:18 +0000

xflr5 (6.09.06-2build1) wily; urgency=medium

  * No-change rebuild using GCC 5.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Aug 2015 10:57:58 +0000

xflr5 (6.09.06-2) unstable; urgency=medium

  * enable Q_OS_LINUX for non-linux systems 
  * debian/xflr5.install
   - add style files

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Mon, 30 Dec 2013 00:01:47 +0900

xflr5 (6.09.06-1) unstable; urgency=medium

  * New upstream release
  * Migrate to unstable
  * debian/rules
   - specify .pro file instead of .ts files when building translations
   - remove get-orig-source target
  * debian/watch
   - add to follow upstream
  * debian/control
   - bump Standard-Version to 3.9.5
   - specify qt4-linguist-tools instead of translation-toolkit
   - remove docboot-to-man from build-dep
  * debian/xflr5.desktop
   - add Keywords field
  * debian/xflr5-doc.links
   - removed
  * debian/copyright
   - update copyright

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Sun, 29 Dec 2013 16:56:20 +0900

xflr5 (6.08+svn531-1~exp1) experimental; urgency=low

  * New upstream release
  * debian/control
   - remove DM-Upload-Allowed
   - update Standard-Version to 3.9.4
  * debian/patches/01_set_targetpath.patch
   - update the file path
  * debian/xflr5.docs
   - remove because the upstream ReadMe was removed
  * debian/watch
   - move comments from debian/source/lintian-overrides

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Thu, 25 Oct 2012 21:48:12 +0900

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: xflr5
 Section: science
 Priority: extra
-Maintainer: Koichi Akabe <vbkaisetsu@gmail.com>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 9.20120417), docbook-to-man, libqt4-dev, libgl1-mesa-dev, libqt4-opengl-dev (>= 4.6.0), translate-toolkit
-Standards-Version: 3.9.3
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Koichi Akabe <vbkaisetsu@gmail.com>
+Build-Depends: debhelper (>= 9.20120417), libqt4-dev, libgl1-mesa-dev, libqt4-opengl-dev (>= 4.6.0), qt4-linguist-tools
+Standards-Version: 3.9.5
 Homepage: http://www.xflr5.com/xflr5.htm
 
 Package: xflr5

=== debian/watch ===
version=3

http://sf.net/xflr5/xflr5-(.*)\.tar\.gz

## xflr5 6.47

=== doc/xflr5-guidelines_latex/Makefile ===
PROJECT = guidelines

PDFLATEX = pdflatex
BIBTEX = bibtex

TEX_FILES := $(wildcard $(PROJECT)*.tex)
PDF_FILES := $(TEX_FILES:.tex=.pdf) 

redirect = > /dev/null

.PHONY : clean

all : $(PDF_FILES)

%.pdf : %.tex
	$(PDFLATEX) '\nonstopmode\input{$<}' $(redirect)
	@if ( grep "^\\\\bibliography{" $*.tex > /dev/null ); then \
		$(BIBTEX) -terse $(patsubst %.tex,%.aux, $<) $(redirect); \
        fi
	$(PDFLATEX) '\nonstopmode\input{$<}' $(redirect)
	$(PDFLATEX) '\nonstopmode\input{$<}' $(redirect)	

clean-all: clean
	rm -f *.ps *.eps *.pdf 

clean:
	rm -f *.log *.bak *.aux *.bbl *.blg *.idx *.toc *.lof *.lot *.out *~

=== debian/changelog ===
xflr5 (6.47-0.1~mx19+1) mx; urgency=medium

  * Import new upstream release.
  * Switch to Qt 5 builds.
  * Fix debian/rules and .install files to allow for changed file names.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 14 Mar 2020 14:31:19 -0700

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,19 @@
 Source: xflr5
 Section: science
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Koichi Akabe <vbkaisetsu@gmail.com>
-Build-Depends: debhelper (>= 9.20120417), libqt4-dev, libgl1-mesa-dev, libqt4-opengl-dev (>= 4.6.0), qt4-linguist-tools
+Build-Depends: debhelper (>= 9.20120417),
+               libgl1-mesa-dev,
+               qtbase5-dev (>= 5.4),
+               libqt5opengl5-dev (>= 5.4),
+               qttools5-dev-tools (>= 5.4)
 Standards-Version: 3.9.5
 Homepage: http://www.xflr5.com/xflr5.htm
 
 Package: xflr5
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: xflr5-doc
 Description: analysis tool for airfoils
  XFLR5 is an analysis tool for airfoils, wings and planes operating at low

=== debian/rules ===
#!/usr/bin/make -f

# Define Q_OS_LINUX for kfreebsd and hurd.
# All debian systems have a same directory structure
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
ifneq ($(DEB_HOST_ARCH_OS),linux)
	export CPPFLAGS = -DQ_OS_LINUX $(shell dpkg-buildflags --get CPPFLAGS)
endif

export QT_SELECT=5

%:
	dh  $@ --parallel

override_dh_auto_build:
	dh_auto_build
	lrelease xflr5.pro
	#cd $(CURDIR)/doc/latex && $(MAKE)

override_dh_auto_clean:
	dh_auto_clean
	find $(CURDIR)/translations -name "*.qm" | xargs rm -f
	#cd $(CURDIR)/doc/latex && $(MAKE) clean

override_dh_compress:
	dh_compress -X.pdf

override_dh_strip:
	dh_strip --no-automatic-dbgsym
